<?xml version="1.0" encoding="UTF-8"?>
<project xmlns="http://maven.apache.org/POM/4.0.0"
         xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
         xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
    <modelVersion>4.0.0</modelVersion>
    <parent>
        <artifactId>assira.project</artifactId>
        <groupId>net.ranides</groupId>
        <version>2.8.4-SNAPSHOT</version>
    </parent>

    <artifactId>assira.ui</artifactId>
    <packaging>jar</packaging>

    <name>${project.groupId}:${project.artifactId}</name>
    <description>assira: general purpose java library: runtime for JDK8</description>

    <properties>
        <assira.junit.debug>false</assira.junit.debug>
        <maven.compiler.source>1.8</maven.compiler.source>
        <maven.compiler.target>1.8</maven.compiler.target>
    </properties>

    <build>
        <plugins>
            <plugin>
                <groupId>org.antlr</groupId>
                <artifactId>antlr4-maven-plugin</artifactId>
                <version>${antlr.version}</version>
                <executions>
                    <execution>
                        <goals>
                            <goal>antlr4</goal>
                        </goals>
                    </execution>
                </executions>
            </plugin>
                <plugin>
                    <groupId>org.apache.maven.plugins</groupId>
                    <artifactId>maven-surefire-plugin</artifactId>
                    <configuration>
                        <excludedGroups>net.ranides.assira.junit.JCategories$Slow</excludedGroups>
                    </configuration>
                </plugin>
        </plugins>
    </build>

    <dependencies>
        <dependency>
            <groupId>net.ranides</groupId>
            <artifactId>assira.core</artifactId>
            <type>jar</type>
        </dependency>
        <dependency>
            <groupId>net.ranides</groupId>
            <artifactId>assira.commons</artifactId>
            <type>jar</type>
        </dependency>
        <dependency>
            <groupId>net.ranides</groupId>
            <artifactId>assira.g4interpreter</artifactId>
            <type>jar</type>
        </dependency>
        <dependency>
            <groupId>net.ranides</groupId>
            <artifactId>assira.junit</artifactId>
        </dependency>
<!--        <dependency>-->
<!--            <groupId>org.antlr</groupId>-->
<!--            <artifactId>antlr4-runtime</artifactId>-->
<!--        </dependency>-->

        <dependency>
            <groupId>junit</groupId>
            <artifactId>junit</artifactId>
        </dependency>
        <dependency>
            <groupId>org.slf4j</groupId>
            <artifactId>slf4j-api</artifactId>
        </dependency>
        <dependency>
            <groupId>com.google.code.findbugs</groupId>
            <artifactId>annotations</artifactId>
        </dependency>
        <dependency>
            <groupId>org.projectlombok</groupId>
            <artifactId>lombok</artifactId>
        </dependency>


    </dependencies>

</project>